glibmm 2.62.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Glib::Container_Helpers::ArrayHandleIterator< Tr > Class Template Reference
Generic container converters » Helper classes

`#include <glibmm/arrayhandle.h>`

## Public Types
using | CppType = typename Tr::CppType
using | CType = typename Tr::CType
using | iterator_category = std::random_access_iterator_tag
using | value_type = CppType
using | difference_type = std::ptrdiff_t
using | reference = value_type
using | pointer = void

## Public Member Functions
| ArrayHandleIterator (const CType* pos)
value_type | operator* () const
value_type | operator[] (difference_type offset) const
ArrayHandleIterator< Tr >& | operator++ ()
const ArrayHandleIterator< Tr > | operator++ (int)
ArrayHandleIterator< Tr >& | operator-- ()
const ArrayHandleIterator< Tr > | operator-- (int)
ArrayHandleIterator< Tr >& | operator+= (difference_type rhs)
ArrayHandleIterator< Tr >& | operator-= (difference_type rhs)
const ArrayHandleIterator< Tr > | operator+ (difference_type rhs) const
const ArrayHandleIterator< Tr > | operator- (difference_type rhs) const
difference_type | operator- (const ArrayHandleIterator< Tr >& rhs) const
bool | operator== (const ArrayHandleIterator< Tr >& rhs) const
bool | operator!= (const ArrayHandleIterator< Tr >& rhs) const
bool | operator< (const ArrayHandleIterator< Tr >& rhs) const
bool | operator> (const ArrayHandleIterator< Tr >& rhs) const
bool | operator<= (const ArrayHandleIterator< Tr >& rhs) const
bool | operator>= (const ArrayHandleIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::CppType = typename Tr::CppType

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::CType = typename Tr::CType

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::difference_type = std::ptrdiff_t

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::iterator_category = std::random_access_iterator_tag

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::pointer = void

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::reference = value_type

template <class Tr >

using Glib::Container_Helpers::ArrayHandleIterator< Tr >::value_type = CppType

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::ArrayHandleIterator< Tr >::ArrayHandleIterator | ( | const CType* | pos | ) |
| inline explicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator!= | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator* | ( |  | ) | const
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator+ | ( | difference_type | rhs | ) | const
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator++ | ( |  | ) |
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator++ | ( | int |  | ) |
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator+= | ( | difference_type | rhs | ) |
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator- | ( | difference_type | rhs | ) | const
| inline

template <class Tr >

difference_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator- | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-- | ( |  | ) |
| inline

template <class Tr >

const ArrayHandleIterator<Tr> Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-- | ( | int |  | ) |
| inline

template <class Tr >

ArrayHandleIterator<Tr>& Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator-= | ( | difference_type | rhs | ) |
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator< | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator<= | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator== | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator> | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

bool Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator>= | ( | const ArrayHandleIterator< Tr >& | rhs | ) | const
| inline

template <class Tr >

value_type Glib::Container_Helpers::ArrayHandleIterator< Tr >::operator[] | ( | difference_type | offset | ) | const
| inline